package com.business.common.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FaultCode {
    /**
     * 主键
     */
    private Long id;
    /**
     * 故障码
     */
    private String faultCode;
    /**
     * 故障标签
     */
    private String faultLabel;
    /**
     * 故障位
     */
    private Long faultBit;
    /**
     * 故障值
     */
    private Long faultValue;
}
