package com.business.common.middle;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 围栏组与电子围栏
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class GroupFenceDev {
    /**
     * 围栏组id
     */
    private Long groupsId;
    /**
     * 围栏组名称
     */
    private String groupsName;
    /**
     * 电子围栏主键
     */
    private Long fenceId;
    /**
     * 围栏名称
     */
    private String fenceName;
    /**
     * 围栏类型
     */
    private String fenceType = "多边形";
    /**
     * 驶入驶出
     */
    private String eventType = "N";
    /**
     * 围栏状态
     */
    private String staut = "Y";
    /**
     *坐标
     */
    private String polygonPoints;
}
