package com.business.common.pojo;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import java.io.IOException;
import java.net.URI;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

@Service
public class HttpCar {

    @Bean
    public RestTemplate restTemplate() {
        return new RestTemplate();
    }

    @Autowired
    private RestTemplate restTemplate;

    public static void http(String name) {
        //创建HttpClient实例
        java.net.http.HttpClient httpClient = java.net.http.HttpClient.newHttpClient();

        //创建httpRequest
        HttpRequest builder = HttpRequest.newBuilder()
                .uri(URI.create("http://129.211.23.219:9100/manage/"+ name +"/JAV0VJUJYOTOK9KSY/1"))
                .header("Content-Type", "application/x-www-form-urlencoded")// 根据需要设置Content-Type，如果服务期望其他类型的空请求体
                .POST(HttpRequest.BodyPublishers.noBody())// 使用 POST 方法并设置请求体,没有设置为空
                .build();
        //发送请求并获取响应
        try {
            HttpResponse<String> send = httpClient.send(builder, HttpResponse.BodyHandlers.ofString());
            int statusCode = send.statusCode();
            String responseBody = send.body();
            //处理响应
            System.out.println("状态码: " + statusCode);
            System.out.println("响应: " + responseBody);
        } catch (IOException | InterruptedException e) {
            throw new RuntimeException(e);
        }


    }
}
