package com.muyu.goods.mapper;

import com.business.common.dev.CarFenceGroupsDev;
import com.business.common.middle.CarFenceDev;
import com.business.common.middle.CarGroupsDev;
import com.business.common.middle.GroupFenceDev;
import com.business.common.domain.Fence;
import com.business.common.domain.FenceGroups;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MapMapper {

    List<FenceGroups> selectFenceGroups();

    List<Fence> selectFence();

    int deleteFence(@Param("fenceId") Long fenceId);

    Fence queryFence(@Param("fenceId") Long fenceId);

    int updateFence(@Param("fenceId") Long fenceId, @Param("status") String status);

    void indexCarGroupsMiddle(@Param("carId") Long carId);

    List<GroupFenceDev> selectGroupFenceMiddleOne();

    List<CarFenceDev> selectCarFence();

    List<CarGroupsDev> selectCarGroups();

    List<GroupFenceDev> selectGroupFence();

    void indexCarFence(@Param("carId") Long carId, @Param("fenceId") Long fenceId);

    void deleteCarGroups(@Param("carId") Long carId);

    void deleteCarFence(@Param("carId") Long carId);

    int indexGroups(CarFenceGroupsDev carFenceGroupsDev);

    FenceGroups selectFenceGroupsByOne();

    void indexCarGroupsDev(@Param("carId") Long carId, @Param("groupsId") Long groupsId);
}
