package com.muyu.goods.service;

import com.business.common.dev.CarFenceGroupsDev;
import com.business.common.middle.CarFenceDev;
import com.business.common.middle.CarGroupsDev;
import com.business.common.middle.GroupFenceDev;
import com.business.common.domain.Fence;
import com.business.common.domain.FenceGroups;
import com.business.common.psvm.Pences;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

public interface IMapService {

    List<FenceGroups> selectFenceGroups();

    List<Fence> selectFence();

    List<List<GroupFenceDev>> selectFenceGroupsById(Long carId);

    String getSel(Pences list);

    String deleteFence(Long fenceId);

    Fence queryFence(Long fenceId);

    String updateFence(Long fenceId);

    List<CarFenceDev> selectCarFence();

    List<CarGroupsDev> selectCarGroups();

    List<GroupFenceDev> selectGroupFence();

    String indexGroups(CarFenceGroupsDev carFenceGroupsDev);
}
