package com.muyu.goods.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class Sources {
    /**
     * 主键
     */
    private Long id;
    /**
     * 企业id
     */
    private Long enterpriseId;
    /**
     * 名称
     */
    private String name;
    /**
     * 连接库
     */
    private String url = "ry_goods";
    /**
     * ip
     */
    private String ip;
    /**
     * 用户名
     */
    private String username = "root";
    /**
     * 密码
     */
    private String password = "Qq4152637";

    public static Sources index(Long enterpriseId,String name,String ip) {
        return builder()
                .enterpriseId(enterpriseId)
                .name(name)
                .url("ry_goods")
                .ip(ip)
                .username("root")
                .password("Qq4152637")
                .build();
    }
}
