package com.muyu.goods.pojo;

import com.muyu.goods.domain.Enterprise;

import java.io.IOException;
import java.net.URI;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class HttpClient {

    public static void http(Enterprise enterprise) throws IOException, InterruptedException {
        //创建HttpClient实例
        java.net.http.HttpClient httpClient = java.net.http.HttpClient.newHttpClient();

        // 创建请求体（以JSON为例）
        StringBuilder jsonBuilder = new StringBuilder();
        jsonBuilder.append("{");
        jsonBuilder.append("\"entId\":\"").append("enterprise"+enterprise.getId()).append("\",");
        jsonBuilder.append("\"mysqlPort\":\"").append(Integer.valueOf(String.valueOf((int) (3306+enterprise.getId())))).append("\"");
        jsonBuilder.append("}");
        // 将 StringBuilder 转换为字符串
        String jsonBuilderString = jsonBuilder.toString();
        //创建httpRequest
        HttpRequest builder = HttpRequest.newBuilder()
                .uri(URI.create("http://129.211.23.219/webhook/%E6%B5%8B%E8%AF%95%E8%83%BD%E8%8E%B7%E5%8F%96home%E9%A1%B9%E7%9B%AE"))
                .header("Content-Type", "application/json")// 设置 Content-Type 为 application/json
                .POST(HttpRequest.BodyPublishers.ofString(jsonBuilderString))// 使用 POST 方法并设置请求体
                .build();
        //发送请求并获取响应
        HttpResponse<String> send = httpClient.send(builder, HttpResponse.BodyHandlers.ofString());
        //处理响应
        int statusCode = send.statusCode();
        String responseBody = send.body();
        System.out.println("状态码: " + statusCode);
        System.out.println("响应: " + responseBody);
    }
}
