package com.muyu.goods.mq;

import com.alibaba.csp.sentinel.command.annotation.CommandMapping;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class Producer {
    @Autowired
    private RabbitTemplate rabbitTemplate;

    public void datasource(String ip) {
        rabbitTemplate.convertAndSend("datasource",ip);
    }

    public void exchangeSource(String ip) {
        rabbitTemplate.convertAndSend("datasource","",ip);
    }

    public void vehicleEvent(String name) {
        rabbitTemplate.convertAndSend("vehicle.event","",name);
    }


}
