package com.incident.server.controller;

import com.alibaba.fastjson2.JSONObject;
import com.incident.server.model.IncidentModel;
import com.muyu.incident.common.constants.VehicleConstant;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/test")
public class IncidentController {

    @Autowired
    private RabbitTemplate rabbitTemplate;

    @PostMapping
    public String sendMsg(@RequestBody IncidentModel incidentModel) {
        rabbitTemplate.convertSendAndReceive(VehicleConstant.VEHICLE_EVENT_EXCHANGE,"",
                JSONObject.toJSONString(incidentModel));
        return null;
    }
}
