package com.muyu.auth.form;

import com.muyu.auth.service.SysLoginService;
import com.muyu.common.goods.domain.Sources;
import com.muyu.common.goods.domain.Status;
import com.muyu.common.goods.remote.RemoteDataSourceService;
import com.muyu.common.goods.remote.RemoteSourcesService;
import com.muyu.common.system.domain.SysUser;
import lombok.extern.log4j.Log4j2;
import org.apache.http.client.utils.HttpClientUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.stereotype.Component;

import java.io.IOException;
import java.net.*;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpRequest.*;
import java.net.http.HttpResponse;
import java.util.HashMap;
import java.util.List;
import java.util.stream.Collectors;

@Log4j2
@Component
public class SysFormSources {

    @Autowired
    private RemoteSourcesService remoteSourcesService;
    @Autowired
    private RemoteDataSourceService remoteDataSourceService;;
    public void sysSetUser(SysUser sysUser){
        String saas = null;
        HashMap<String, String> hashMap = new HashMap<>();
        if (sysUser.getFirm()!=null){
            List<Sources> sourcesList = remoteSourcesService.listSources().getData();
            Sources sources = sourcesList.stream().filter(sour -> sour.getEnterpriseId() == sysUser.getFirm()).collect(Collectors.toList()).get(0);
            saas = sources.getIp();
        }else {
            saas = "3306";
        }
        System.out.println(saas);
        hashMap.put("saas",saas);
//        try {
//            //创建HttpClient实例
//            HttpClient client = HttpClient.newBuilder().build();
//            //创建请求并添加rui
//            URI uri = new URI("http://127.0.0.1:9209/cloud/list");
//            HttpRequest request = HttpRequest.newBuilder()
//                    .uri(uri)
//                    .header("saas", saas)
//                    .POST(BodyPublishers.noBody())
//                    .build();
//            //发送请求并接收请求响应
//            HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
//            //输出响应状态和内容
//            System.out.println(response.statusCode());
//            System.out.println(response.body());
//        } catch (URISyntaxException e) {
//            throw new RuntimeException(e);
//        } catch (IOException e) {
//            throw new RuntimeException(e);
//        } catch (InterruptedException e) {
//            throw new RuntimeException(e);
//        }
        List<Status> data = remoteDataSourceService.list(saas).getData();
        System.out.println(data);
    }
}
