package com.business.common.config;

import com.muyu.common.system.domain.SysUser;
import lombok.Data;
import lombok.extern.log4j.Log4j2;
import org.bouncycastle.crypto.macs.HMac;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

import java.util.HashMap;
import java.util.List;

@Data
@ComponentScan
@Configuration
@Log4j2
public class SystemUserConfig {
    private static HashMap<Long, SysUser> hashMap;

    public static void index(SysUser user){
        hashMap.put(user.getUserId(),user);
    }

    public static HashMap<Long, SysUser> ser(){
        return hashMap;
    }
    public static SysUser getUser(Long id){
        SysUser sysUser = hashMap.get(id);
        return sysUser;
    }

}
