package com.business.common.domain;

import lombok.Data;

/**
 * 电子围栏
 */
@Data
public class Fence {
    /**
     * 电子围栏主键
     */
    private Long fenceId;
    /**
     * 围栏名称
     */
    private String fenceName;
    /**
     * 围栏类型
     */
    private String fenceType = "多边形";
    /**
     * 驶入驶出
     */
    private String eventType = "N";
    /**
     * 围栏状态
     */
    private String staut = "Y";
    /**
     *坐标
     */
    private String polygonPoints;
}
