package com.business.common.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class Sources {
    /**
     * 主键
     */
    private Long id;
    /**
     * 企业id
     */
    private Long enterpriseId;
    /**
     * 名称
     */
    private String name;
    /**
     * 连接库
     */
    private String url;
    /**
     * ip
     */
    private String ip;
    /**
     * 用户名
     */
    private String username;
    /**
     * 密码
     */
    private String password;
}
