package com.business.common.psvm;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 故障信息
 * @ClassName FaultInfo
 * @Author GuanTieLin
 * @Date 2024/6/20 16:36
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FaultInfo {

    /**
     * 车辆唯一标识
     */
    private String vin;

    /**
     * 故障编码
     */
    private String faultCode;

    /**
     * 时间
     */
    private Date time;
}
