package com.muyu.goods.incident.mq;

import com.alibaba.fastjson2.JSONObject;
import com.business.common.psvm.FaultInfo;
import com.muyu.common.core.domain.Result;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class Producer {
    @Autowired
    private RabbitTemplate rabbitTemplate;

    public void electronic(Integer id) {
        rabbitTemplate.convertAndSend("vehicle.event","",id);
    }

    public void start_time(FaultInfo faultInfo) {
        String jsonString = JSONObject.toJSONString(faultInfo);
        rabbitTemplate.convertAndSend("fault.message","start",jsonString);
    }

    public void end_time(FaultInfo faultInfo) {
        String jsonString = JSONObject.toJSONString(faultInfo);
        rabbitTemplate.convertAndSend("fault.message","end",jsonString);
    }
}
