package com.muyu.goods.mapper;

import com.business.common.Select.BreakdownSel;
import com.business.common.domain.Breakdown;
import com.business.common.domain.Car;
import com.business.common.domain.FaultCode;
import com.business.common.psvm.FaultInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface BreakdownMapper {
    Integer indexBreakDown(Breakdown breakdown);

    Integer updateBreakDown(Breakdown breakdown);

    List<FaultCode> listFaultCode();

    Car selectVinCar(@Param("vin") String vin);

    List<Breakdown> selectBreakdownList();

    List<Map<String, Object>> pies(BreakdownSel breakdownSel);


    List<Breakdown> lists();
}
