package com.muyu.goods.service;

import com.business.common.Select.BreakdownSel;
import com.business.common.domain.Breakdown;
import com.business.common.domain.FaultCode;
import com.business.common.domain.Sources;
import com.business.common.psvm.FaultInfo;

import java.util.List;
import java.util.Map;

public interface IBreakdownService {
    /**
     * 故障记录
     * @return
     */
    List<Breakdown> selectBreakdownList();

    List<Breakdown> lists();

    /**
     * 记录故障发生
     * @param breakdown
     * @return
     */
    Integer indexBreakDown(Breakdown breakdown);

    /**
     * 记录故障解决
     * @param breakdown
     * @return
     */
    Integer updateBreakDown(Breakdown breakdown);

    List<FaultCode> listFaultCode();

    Sources selectVinEnterprise(String vin);

    /**
     * 图形化
     * @return
     */
    List<Map<String,Object>> pies(BreakdownSel breakdownSel);


}
