package com.muyu.goods;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import com.muyu.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableAsync;

@SpringBootApplication
@EnableCustomSwagger2
@EnableMyFeignClients
@EnableCustomConfig
@EnableAsync
public class MuyuGoodsEnterpriseApplication {
    public static void main(String[] args) {
        SpringApplication.run(MuyuGoodsEnterpriseApplication.class,args);
    }
}
