package com.muyu.goods.manage;

import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.SysUser;
import com.muyu.common.system.remote.RemoteUserService;
import com.muyu.goods.domain.Enterprise;
import com.muyu.goods.service.impl.EnterpriseServiceImpl;
import lombok.Data;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import java.util.List;

@Data
@Component
@Configuration
@Log4j2
public class SysUserRemote {
    @Autowired
    private static RemoteUserService remoteSystemManageService;
    @Autowired
    private static EnterpriseServiceImpl enterpriseService;

    public static void index(Enterprise enterprise){
        Result<List<SysUser>> lists = remoteSystemManageService.lists();
        System.out.println(lists);
//        List<SysUser> data = lists.getData();
//        int size = data.size();
//        SysUser sysUser = new SysUser();
//        //用户昵称
//        sysUser.setNickName("000"+size);
//        //归属部门
//        sysUser.setDeptId(100L);
//        //手机号码
//        sysUser.setPhonenumber(enterprise.getContactPhone());
//        //邮箱
//        sysUser.setEmail(enterprise.getEmail());
//        //用户名称
//        sysUser.setUserName(enterprise.getLegalPerson());
//        //用户密码
//        sysUser.setPassword("123456");
//        //用户性别
//        sysUser.setSex("3");
//        //状态
//        sysUser.setStatus("0");
//        //岗位
//        sysUser.setPostIds(new Long[1]);
//        //角色
//        sysUser.setRoleIds(new Long[2]);
//        //备注
//        sysUser.setRemark("");

    }

}
