package com.muyu.incident.common.config;

import com.muyu.incident.common.constants.VehicleConstant;
import org.springframework.amqp.core.FanoutExchange;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

/**
 * 工具类
 */
@Component
public class MsgConfig {
    /**
     * 创建交换机
     * @return
     */
    @Bean
    public FanoutExchange VehicleEvent() {
        return new FanoutExchange(VehicleConstant.VEHICLE_EVENT_EXCHANGE);
    }
}
